local lazyPath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
local isLazyInstalled = vim.uv.fs_stat(lazyPath)

if not isLazyInstalled then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable",
    lazyPath
  })
end

vim.opt.rtp:prepend(lazyPath)

vim.g.mapleader = " "

require("lazy").setup({
  defaults = {
    lazy = false,
    version = false
  },
  spec = {
    { import = "zinn.plugins" },
    {'junegunn/fzf.vim'}
  },
  performance = {
    rtp = {
      disabled_plugins = {
        "gzip",
        "tarPlugin",
        "netrwPlugin",
        "tohtml",
        "tutor",
        "zipPlugin",
      },
    },
  },
})
